---
layout: docs
page_title: host-catalogs read - Command
description: >-
  The "host-catalogs read" command retrieves host catalog information for a host catalog resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# host-catalogs read

Command: `boundary host-catalogs read`

The `boundary host-catalogs read` command lets you read information about a Boundary host catalog using its given ID.

## Example

This example reads the details for a host catalog with the ID `_1234567890`:

```shell-session
$ boundary host-catalogs read -id _1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary host-catalogs read [options] [args]
```

</CodeBlockConfig>

### Command options

- `-id=<string>` - The ID of the host catalog whose information you want to read.

@include 'cmd-option-note.mdx'